<?xml version="1.0" encoding="UTF-8"?>

<!-- eccc_fixer.xslt - Fix XML historical data as provided by
                       Environment and Climate Change Canada
     Copyright (C) 2019-2020  Pierre Choffet

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
     -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:output method="xml" encoding="utf-8" />

	<!-- Idempotence -->
	<xsl:template match="node()|@*">
		<xsl:copy>
			<xsl:apply-templates select="node()|@*" />
		</xsl:copy>
	</xsl:template>

	<xsl:template match="/climatedata">
		<climatedata>
			<xsl:attribute name="xsi:schemaLocation">http://climate.weather.gc.ca/climate_data/bulkxml/bulkschema.xsd</xsl:attribute>
			<xsl:apply-templates />
		</climatedata>
	</xsl:template>
</xsl:stylesheet>
